import '../button/button';
import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdDialog extends SolidElement {
    private readonly hasSlotController;
    localize: LocalizeController;
    private modal;
    private originalTrigger;
    dialog: HTMLElement;
    panel: HTMLElement;
    overlay: HTMLElement;
    open: boolean;
    headline: string;
    noCloseButton: boolean;
    connectedCallback(): void;
    firstUpdated(): void;
    disconnectedCallback(): void;
    private get prefersReducedMotion();
    private requestClose;
    private addOpenListeners;
    private removeOpenListeners;
    private handleDocumentKeyDown;
    handleOpenChange(): Promise<void>;
    show(): Promise<void>;
    hide(): Promise<void>;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-dialog': SdDialog;
    }
}
